package ;

import flash.Lib;
import flash.display.Sprite;
import flash.display.StageAlign;
import flash.display.StageScaleMode;
import flash.events.Event;
import game.Game;
import game.Editor;
import menu.Menu;

/**
 * Made by
 * @author Matej Bordac
 */

class Main {
	
	static function main() {
		var stage = Lib.current.stage;
		stage.scaleMode = StageScaleMode.NO_SCALE;
		stage.align = StageAlign.TOP_LEFT;
		
		new Main();

	}

	public static var _game:Game;
	public static var _menu:Menu;
	public static var _editor:Editor;

	public function new() {

		if (Lib.current.stage != null) init();
		else Lib.current.addEventListener(Event.ADDED_TO_STAGE, init);

	}

	private function init(e:Event = null) {
		Lib.current.removeEventListener(Event.ADDED_TO_STAGE, init);

		_game = new Game();
		_menu = new Menu();
		//_editor = new Editor();

		addMenu();
		//addGame();
		//addEditor();
	}
	
	public function addEditor():Void {
		Lib.current.addChild(_editor);
	}

	public static function addGame() {
		if (_menu.parent != null) Lib.current.removeChild(_menu);

		Lib.current.addChild(_game);

	}

	public static function addMenu() {
		if (_game.parent != null) Lib.current.removeChild(_game);
		
		Lib.current.addChild(_menu);

	}

}
